Security update for openslp

SUSE Security Update: Security update for openslp
Announcement ID: SUSE-SU-2018:0100-1
Rating: moderate
References: #1001600 #974655 #980722 #994989
Affected Products:
  • SUSE Linux Enterprise Software Development Kit 12-SP2
  • SUSE Linux Enterprise Server for Raspberry Pi 12-SP2
  • SUSE Linux Enterprise Server 12-SP2
  • SUSE Linux Enterprise Desktop 12-SP2

  • An update that solves two vulnerabilities and has two fixes is now available.

    Description:

    This update for openslp fixes two security issues and two bugs.

    The following vulnerabilities were fixed:

    - CVE-2016-4912: A remote attacker could have crashed the server with a
    large number of packages (bsc#980722)
    - CVE-2016-7567: A remote attacker could cause a memory corruption having
    unspecified impact (bsc#1001600)

    The following bugfix changes are included:

    - bsc#994989: Removed convenience code as changes bytes in the message
    buffer breaking the verification code
    - bsc#974655: Removed no longer needed slpd init file

    Patch Instructions:

    To install this SUSE Security Update use YaST online_update.
    Alternatively you can run the command listed for your product:

    • SUSE Linux Enterprise Software Development Kit 12-SP2:
      zypper in -t patch SUSE-SLE-SDK-12-SP2-2018-68=1
    • SUSE Linux Enterprise Server for Raspberry Pi 12-SP2:
      zypper in -t patch SUSE-SLE-RPI-12-SP2-2018-68=1
    • SUSE Linux Enterprise Server 12-SP2:
      zypper in -t patch SUSE-SLE-SERVER-12-SP2-2018-68=1
    • SUSE Linux Enterprise Desktop 12-SP2:
      zypper in -t patch SUSE-SLE-DESKTOP-12-SP2-2018-68=1

    To bring your system up-to-date, use "zypper patch".

    Package List:

    • SUSE Linux Enterprise Software Development Kit 12-SP2 (aarch64 ppc64le s390x x86_64):
      • openslp-debuginfo-2.0.0-18.2.1
      • openslp-debugsource-2.0.0-18.2.1
      • openslp-devel-2.0.0-18.2.1
    • SUSE Linux Enterprise Server for Raspberry Pi 12-SP2 (aarch64):
      • openslp-2.0.0-18.2.1
      • openslp-debuginfo-2.0.0-18.2.1
      • openslp-debugsource-2.0.0-18.2.1
      • openslp-server-2.0.0-18.2.1
      • openslp-server-debuginfo-2.0.0-18.2.1
    • SUSE Linux Enterprise Server 12-SP2 (aarch64 ppc64le s390x x86_64):
      • openslp-2.0.0-18.2.1
      • openslp-debuginfo-2.0.0-18.2.1
      • openslp-debugsource-2.0.0-18.2.1
      • openslp-server-2.0.0-18.2.1
      • openslp-server-debuginfo-2.0.0-18.2.1
    • SUSE Linux Enterprise Server 12-SP2 (s390x x86_64):
      • openslp-32bit-2.0.0-18.2.1
      • openslp-debuginfo-32bit-2.0.0-18.2.1
    • SUSE Linux Enterprise Desktop 12-SP2 (x86_64):
      • openslp-2.0.0-18.2.1
      • openslp-32bit-2.0.0-18.2.1
      • openslp-debuginfo-2.0.0-18.2.1
      • openslp-debuginfo-32bit-2.0.0-18.2.1
      • openslp-debugsource-2.0.0-18.2.1

    References: